=== debian/changelog ===
lektor (3.1.1-1) unstable; urgency=medium

  * Initial release (Closes: #892901)

 -- Hiro <hiro@torproject.org>  Fri, 06 Jul 2018 16:36:51 +0100
