## lektor 3.1.3

=== Makefile ===
--- 
+++ 
@@ -19,7 +19,7 @@
 
 test-python:
 	@echo "---> running python tests"
-	py.test . --tb=short -v --cov=lektor
+	py.test . --tb=long -svv --cov=lektor
 
 coverage-python: test-python
 	coverage xml
