=== debian/changelog ===
lektor (3.1.3-1) unstable; urgency=medium

  * New upstream version 3.1.3
  * Update copyright

 -- Hiro <hiro@torproject.org>  Thu, 09 May 2019 19:36:57 +0200
