=== debian/control ===
Source: lektor
Section: python
Priority: optional
Maintainer: Hiro <hiro@torproject.org>
Build-Depends: debhelper (>= 11),
	       dh-python,
	       python3,
	       python3-all,
	       python3-setuptools,
	       python3-jinja2 (>=2.4),
	       python3-click (>=6.0),
	       python3-watchdog,
	       python3-mistune (>=0.7.0),
	       python3-flask,
	       python3-babel,
	       python3-requests,
               python3-inifile,
               python3-exif
Standards-Version: 4.1.4
Homepage: https://github.com/lektor/lektor
Vcs-Git: https://salsa.debian.org/debian/lektor.git
Vcs-Browser: https://salsa.debian.org/debian/lektor/
Testsuite: autopkgtest-pkg-python

Package: lektor
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: Python-based static website generator
 Lektor is a static website generator. A lektor project is a collection of
 static files that can be built into many individual HTML pages. Lektor can also
 be used like a CMS providing a browser-based admin interface to edit the
 website's contents and create new pages.
