## lektor 3.3.7

=== debian/changelog ===
lektor (3.3.7-2) unstable; urgency=medium

  [ Pushkar Kulkarni ]
  * d/patches: Adapt to python-werkzeug urls API 3.0.1 (Closes: #1061361)

 -- Jérôme Charaoui <jerome@riseup.net>  Sun, 28 Jan 2024 09:48:40 -0500

lektor (3.3.7-1) unstable; urgency=medium

  * New upstream version 3.3.7
  * New maintainer as agreed with Hiro
  * Update build-deps
  * Bump build-compat version to 13
  * Bump Standards-Version, no changes needed
  * Add autopkgtests
  * Add debian/upstream/metadata
  * Adjust Homepage and add Documentation fields
  * Frontend web components removed from package (see NEWS)

 -- Jérôme Charaoui <jerome@riseup.net>  Wed, 04 Jan 2023 11:34:10 -0500

lektor (3.2.0-1) unstable; urgency=medium

  * New upstream version 3.2.0
  * Update copyright

 -- Hiro <hiro@torproject.org>  Thu, 13 Nov 2020 17:53:34 +0100
