=== debian/control ===
Source: lektor
Section: web
Priority: optional
Maintainer: Jérôme Charaoui <jerome@riseup.net>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 pybuild-plugin-pyproject,
 python3,
 python3-all,
 python3-babel,
 python3-click (>=6.0),
 python3-cryptography,
 python3-exif,
 python3-filetype (>=1.0.7),
 python3-flask,
 python3-idna,
 python3-inifile (>=0.4.1),
 python3-jinja2 (>=3),
 python3-mistune0,
 python3-openssl,
 python3-pip,
 python3-pytest,
 python3-pytest-click,
 python3-pytest-cov,
 python3-pytest-mock,
 python3-requests,
 python3-setuptools,
 python3-setuptools-scm,
 python3-slugify,
 python3-watchdog,
 python3-werkzeug,
Standards-Version: 4.6.2
Homepage: https://www.getlektor.com/
Vcs-Git: https://salsa.debian.org/debian/lektor.git
Vcs-Browser: https://salsa.debian.org/debian/lektor/
Testsuite: autopkgtest-pkg-python

Package: lektor
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Python-based static website generator
 Lektor is a static website generator. A lektor project is a collection of
 static files that can be built into many individual HTML pages. Lektor can also
 be used like a CMS providing a browser-based admin interface to edit the
 website's contents and create new pages.
 .
 This package only provides the website compilation components.
