=== debian/watch ===
version=4
# GitHub hosted projects
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%lektor-$1.tar.gz%" \
https://github.com/lektor/lektor/tags .*/v?(\d\S+)\.tar\.gz
