=== debian/changelog ===
lektor (3.3.12-1) unstable; urgency=medium

  * New upstream version 3.3.12
  * d/control: add test-specific dependency
  * d/control: add Rules-requires-Root: no
  * d/control: update Standards-Version, no changes needed
  * d/patches: refresh patches for new upstream version
  * d/patches: add patch to fix timezone handling (Closes: #1084286)
  * d/tests: add missing dependencies in autopkgtest
  * d/watch: remain on stable branch 3.3 for now

 -- Jérôme Charaoui <jerome@riseup.net>  Fri, 28 Mar 2025 14:45:42 -0400

lektor (3.3.7-2.1) unstable; urgency=medium

  * Non-maintainer Upload.
  * Add B-D and Dep on python3-tz to fix FTBFS (Closes: #1069192)

 -- Nilesh Patra <nilesh@iki.fi>  Thu, 18 Apr 2024 18:25:56 +0530
