=== debian/control ===
--- 
+++ 
@@ -28,19 +28,23 @@
  python3-setuptools,
  python3-setuptools-scm,
  python3-slugify,
+ python3-tz,
  python3-watchdog,
  python3-werkzeug,
-Standards-Version: 4.6.2
+ tzdata-legacy <!nocheck>,
+Standards-Version: 4.7.2
 Homepage: https://www.getlektor.com/
 Vcs-Git: https://salsa.debian.org/debian/lektor.git
 Vcs-Browser: https://salsa.debian.org/debian/lektor/
 Testsuite: autopkgtest-pkg-python
+Rules-Requires-Root: no
 
 Package: lektor
 Architecture: all
 Depends:
  ${misc:Depends},
  ${python3:Depends},
+ python3-tz
 Description: Python-based static website generator
  Lektor is a static website generator. A lektor project is a collection of
  static files that can be built into many individual HTML pages. Lektor can also
