=== debian/tests/control ===
Tests: upstream
Depends:
 ffmpeg,
 git,
 imagemagick,
 python3-all,
 python3-pytest,
 python3-pytest-click,
 python3-pytest-cov,
 python3-pytest-mock,
 python3-setuptools,
 tzdata-legacy,
 @,
